Transaction Status Enquiry API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to check the transaction status.

Endpoint

Productionhttps://pginstance/api/v1/txn-status
Test<https://areionsbi.pc.enstage-sas.com/transaction/api/v2/txn-status>
Content-Typeapplication / json
Sample request
curl --request POST \
     --url https://areionsbi.pc.enstage-sas.com/transaction/api/v2/txn-status \
     --header 'content-type: application/json' \
     --header 'mle-enabled: dfgdfgdfgfdgdfgfdg' \
     --data '
{
  "pgInstanceId": "24730649",
  "merchantId": "71389820",
  "amount": 1000,
  "merchantReferenceNo": "UniqueMRN",
  "messageHash": "CURRENCY:7:bcdfx-=",
  "currencyCode": "840"
}
Response parameters
Field Name M/O/C Description Example

transactionId

M

Unique value generated for each

transaction internally by the PG

123456

status

M

Transaction Status

50020 = SUCCESS

(any other value is a failure, full status codes shall be provided in

appendix A)

pgErrorCode

M

PG Error Code

0 = No Error

(any other value means some kind of error. For the list of error codes, refer to PG Error Codes.

pgErrorDetail

M

PG Error detail

pg error detail was not set

Sample response
 [
  {
    "transactionId": 27,
    "status": 50020,
    "pgErrorCode": 0,
    "pgErrorDetail": "No Error"
  },
  {
    "transactionId": 34,
    "status": 50020,
    "pgErrorCode": 0,
    "pgErrorDetail": "No Error"
  }
]

Request parameters

Body Params
string
required

This field must contain the PG instance ID

string
required

This field must contain the PG Merchant ID

string
required

This field must contain the Merchant reference number

integer
required

This field must contain the purchase amount including the minor units of currency with all punctuation removed, that is, implied decimals and no formatting. For example, 20025 for Rs.200.25.

string

This parameter includes the ISO Code for the currency of amount field. For INR this is 356. If not passed default currency would be used. Len: 3 char. Character Length: 3

string

This is a hash of the fields sent to ensure that no modification is done in transit between Merchant/PG. Base64(SHA1(pgInstanceId|merchantId |currencyCode|amount|merchantReferenceNo|key) )

Headers
integer
required

This parameter must contain the message level encryption (MLE) keyId.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!